/**
 * Copyright (C) 2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.server.session;

/**
 * Represents an exception that occurs handling running sync
 * @version $Id: RunningSyncException.java,v 1.1 2007/04/06 16:38:09 nichele Exp $
 */
public class RunningSyncException extends java.lang.Exception {

    /**
     * Creates a new instance of <code>RunningSyncException</code> without detail message.
     */
    public RunningSyncException() {
    }


    /**
     * Constructs an instance of <code>RunningSyncException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public RunningSyncException(String msg) {
        super(msg);
    }

    /**
     * Constructs an instance of <code>RunningSyncException</code> with the
     * specified cause.
     * @param cause the cause.
     */
    public RunningSyncException(Throwable cause) {
        super(cause);
    }

    /**
     * Constructs an instance of <code>RunningSyncException</code> with the
     * specified message and cause.
     * @param msg the detail message.
     * @param cause the cause.
     */
    public RunningSyncException(String msg, Throwable cause) {
        super(msg, cause);
    }
}
