/**
 * Copyright (C) 2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.server.update;

import java.util.ArrayList;
import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * Represents a list of components
 * @version $Id: ComponentList.java,v 1.1 2007/04/15 20:57:35 nichele Exp $
 */
public class ComponentList {

    // -------------------------------------------------------------- Properties

    /**
     * List of components
     */
    private ArrayList<Component> components = new ArrayList<Component>();

    public ArrayList<Component> getComponents() {
        return components;
    }

    public void setComponents(ArrayList<Component> components) {
        this.components = components;
    }

// ---------------------------------------------------------------- Constructors
    /** Creates a new instance of ComponentList */
    public ComponentList() {
    }

    // ---------------------------------------------------------- Public methods
    /**
     * Returns a string representation of this component
     */
    public String toString() {
        ToStringBuilder sb = new ToStringBuilder(this);
        sb.append("components", components);
        return sb.toString();
    }
}
